#ifndef DSO_H
#define DSO_H
#include    <QStringList>

using namespace std;

#define	dsoChangedVert	1
#define	dsoChangedTB	2

class Dso
{
	public:
//Methods
		Dso();
		~Dso();

		int init();
		int connect(char *);
		int	setVertSens(int, int);
		int	setTimeBase(int);
		int	getTimeBase();
		int getVertSens(int);
		QString getVertSensStr(int);
		QString getTimBaseText(int);
		void reSetNeedSettings();

		int	getNumberTimeBases();
		void setNeedSettings();
		
		QStringList resolutions;
		QStringList timeBases;
//Data
		unsigned char dsoData[4][16384];
		int	dsofd;
		int	dsoChanged;
		bool	waitingAnswer;
		bool	NeedSettings;

private:
		int	vertSens[2];
		int	timeBase;
		int	dsoFd;
};

#endif

